export const RobotLoaderImg = ({ style = {}, className = '' }) => {
  return (
    <div style={style} className={className}>
      <svg
        width="57"
        height="56"
        viewBox="0 0 57 56"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
      >
        <mask
          id="mask0_2825_35577"
          //   style="mask-type:alpha"
          maskUnits="userSpaceOnUse"
          x="0"
          y="0"
          width="57"
          height="56"
        >
          <rect x="0.609375" width="55.7773" height="55.7773" fill="#D9D9D9" />
        </mask>
        <g mask="url(#mask0_2825_35577)">
          <path
            d="M9.90576 34.8612C7.96905 34.8612 6.32284 34.1833 4.96714 32.8276C3.61144 31.4719 2.93359 29.8257 2.93359 27.889C2.93359 25.9523 3.61144 24.3061 4.96714 22.9504C6.32284 21.5947 7.96905 20.9168 9.90576 20.9168V16.2687C9.90576 14.9905 10.3609 13.8962 11.2711 12.986C12.1814 12.0757 13.2756 11.6206 14.5539 11.6206H21.526C21.526 9.68389 22.2039 8.03769 23.5596 6.68199C24.9153 5.32629 26.5615 4.64844 28.4982 4.64844C30.4349 4.64844 32.0811 5.32629 33.4368 6.68199C34.7925 8.03769 35.4704 9.68389 35.4704 11.6206H42.4425C43.7208 11.6206 44.815 12.0757 45.7253 12.986C46.6355 13.8962 47.0907 14.9905 47.0907 16.2687V20.9168C49.0274 20.9168 50.6736 21.5947 52.0293 22.9504C53.385 24.3061 54.0628 25.9523 54.0628 27.889C54.0628 29.8257 53.385 31.4719 52.0293 32.8276C50.6736 34.1833 49.0274 34.8612 47.0907 34.8612V44.1574C47.0907 45.4356 46.6355 46.5299 45.7253 47.4401C44.815 48.3504 43.7208 48.8055 42.4425 48.8055H14.5539C13.2756 48.8055 12.1814 48.3504 11.2711 47.4401C10.3609 46.5299 9.90576 45.4356 9.90576 44.1574V34.8612ZM19.202 39.5093H37.7944V34.8612H19.202V39.5093ZM14.5539 44.1574H42.4425V16.2687H14.5539V44.1574Z"
            fill="#0CC9A6"
          />
        </g>
        <path
          d="M42.607 15.6443C42.607 15.9757 42.8757 16.2443 43.207 16.2443H47.427C47.7584 16.2443 48.027 15.9757 48.027 15.6443V15.3483C48.027 15.0169 47.7584 14.7483 47.427 14.7483H45.6556C45.3137 14.7483 45.1294 14.3471 45.3521 14.0877L47.8822 11.142C47.9756 11.0332 48.027 10.8945 48.027 10.7511V10.3203C48.027 9.98894 47.7584 9.72031 47.427 9.72031H43.207C42.8757 9.72031 42.607 9.98894 42.607 10.3203V10.6163C42.607 10.9477 42.8757 11.2163 43.207 11.2163H44.9574C45.2989 11.2163 45.4834 11.6168 45.2613 11.8763L42.7511 14.811C42.6581 14.9197 42.607 15.058 42.607 15.201V15.6443Z"
          fill="#0CC9A6"
          stroke="#2DAD96"
          strokeWidth="0.2"
        />
        <path
          d="M40.0574 11.5506C39.9019 11.5912 39.7428 11.4981 39.7022 11.3426L39.6646 11.1988C39.6471 11.1317 39.6541 11.0605 39.6844 10.9981L40.4486 9.42375C40.5572 9.20018 40.3536 8.95221 40.1132 9.01506L39.4406 9.19088C39.2851 9.23153 39.126 9.13841 39.0854 8.98289L39.0736 8.93784C39.033 8.78232 39.1261 8.6233 39.2816 8.58264L41.1682 8.08949C41.3238 8.04884 41.4828 8.14196 41.5234 8.29747L41.5595 8.43531C41.5771 8.50263 41.57 8.57402 41.5394 8.63655L40.7676 10.2183C40.6585 10.4419 40.8621 10.6905 41.1028 10.6275L41.7851 10.4492C41.9406 10.4086 42.0996 10.5017 42.1402 10.6572L42.152 10.7022C42.1927 10.8578 42.0996 11.0168 41.944 11.0574L40.0574 11.5506Z"
          fill="#0CC9A6"
        />
        <path
          d="M37.3874 21.028C37.4586 21.3517 37.7786 21.5563 38.1023 21.4852L43.0735 20.3919C43.3971 20.3207 43.6018 20.0007 43.5306 19.6771L43.4206 19.177C43.3495 18.8534 43.0294 18.6487 42.7058 18.7199L40.4287 19.2206C40.0948 19.2941 39.8286 18.9418 39.9905 18.6406L42.2357 14.4632C42.3036 14.3368 42.324 14.1903 42.2932 14.0503L42.1607 13.4479C42.0896 13.1243 41.7695 12.9196 41.4459 12.9908L36.4747 14.084C36.151 14.1552 35.9464 14.4752 36.0175 14.7989L36.1275 15.2989C36.1987 15.6226 36.5187 15.8272 36.8424 15.7561L39.0949 15.2607C39.4285 15.1873 39.6946 15.5388 39.5335 15.84L37.3087 19.9996C37.2413 20.1257 37.2211 20.2718 37.2518 20.4114L37.3874 21.028Z"
          fill="#0CC9A6"
          stroke="#2DAD96"
          strokeWidth="0.2"
        />
        <rect
          x="19.957"
          y="25.9648"
          width="5"
          height="1.92578"
          fill="#0CC9A6"
        />
        <rect
          x="33.1211"
          y="25.9648"
          width="5"
          height="1.92578"
          fill="#0CC9A6"
        />
      </svg>
    </div>
  )
}
